%global pypi_name urllib3
%global commitId 9c2c2307dd1d6af504e09aac0326d86ee3597a0b

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.26.18
Release:        1%{?dist}
Summary:        HTTP library with thread-safe connection pooling, file post, and more

License:        MIT
URL:            https://github.com/urllib3/urllib3
Source0:        python-urllib3-9c2c2307dd1d6af504e09aac0326d86ee3597a0b.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
urllib3 is a powerful, user-friendly HTTP client for Python. Much of the Python
ecosystem already uses urllib3 and you should too. urllib3 brings many critical
features that are missing from the Python standard libraries.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt
%doc README.rst dummyserver/certs/README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Oct 18 2023 Satoe Imaishi <simaishi@redhat.com> - 1.26.18-1
- Update to 1.26.18
- Fix CVE-2023-43804 (Cookie request header isn't stripped during cross-origin
  redirects)

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 1.26.8-2
- Build against python 3.9

* Fri Feb 04 2022 Odilon Sousa <osousa@redhat.com> - 1.26.8-1
- Release python-urllib3 1.26.8

* Tue Nov 09 2021 Odilon Sousa <osousa@redhat.com> - 1.26.7-1
- Release python-urllib3 1.26.7

* Mon Sep 06 2021 Evgeni Golov - 1.26.6-2
- Build against Python 3.8

* Tue Jul 13 2021 Evgeni Golov 1.26.6-1
- Update to 1.26.6

* Thu Jul 08 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.26.5-1
- Release python-urllib3 1.26.5

* Fri Mar 19 2021 Evgeni Golov 1.26.4-1
- Update to 1.26.4

* Thu Oct 29 2020 Evgeni Golov 1.25.11-1
- Update to 1.25.11

* Mon Aug 10 2020 Evgeni Golov 1.25.10-1
- Update to 1.25.10

* Tue Apr 28 2020 Evgeni Golov 1.25.9-1
- Update to 1.25.9

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 1.25.8-2
- Bump release to build for el8

* Tue Jan 28 2020 Evgeni Golov 1.25.8-1
- Update to 1.25.8

* Mon Nov 18 2019 Evgeni Golov - 1.25.7-1
- Initial package.
